package cn.com.qmth.examcloud.exchange.outer.api.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description 主观题实体
 * @Author lideyin
 * @Date 2020/3/30 16:05
 * @Version 1.0
 */
@ApiModel(value = "OuterSubjectivePaperQuestionBean", description = "主观题实体")
public class OuterSubjectivePaperQuestionBean implements JsonSerializable{

	private static final long serialVersionUID = -861207406409903426L;

	@ApiModelProperty(value = "大题号", example = "1", required = true)
	private Integer mainNumber;

//	@ApiModelProperty(value = "大题名称", example = "XX", required = true)
//	private String mainTitle;

	@ApiModelProperty(value = "小题号", example = "XX", required = true)
	private Integer subNumber;

//	@ApiModelProperty(value = "小题分", example = "1", required = true)
//	private Double totalScore;

	@ApiModelProperty(value = "试题id,String,一个套题共用一个questionId", example = "1", required = true)
	private String questionId;

	@ApiModelProperty(value = "标准答案", example = "{}", required = false)
	private OuterSectionCollectionBean answer;

	@ApiModelProperty(value = "题干", example = "{}", required = true)
	private OuterSectionCollectionBean body;

	@ApiModelProperty(value = "父题干", example = "{}", required = false)
	private OuterSectionCollectionBean parentBody;

	public Integer getMainNumber() {
		return mainNumber;
	}

	public void setMainNumber(Integer mainNumber) {
		this.mainNumber = mainNumber;
	}

//	public String getMainTitle() {
//		return mainTitle;
//	}
//
//	public void setMainTitle(String mainTitle) {
//		this.mainTitle = mainTitle;
//	}

	public Integer getSubNumber() {
		return subNumber;
	}

	public void setSubNumber(Integer subNumber) {
		this.subNumber = subNumber;
	}

//	public Double getTotalScore() {
//		return totalScore;
//	}
//
//	public void setTotalScore(Double totalScore) {
//		this.totalScore = totalScore;
//	}

	public String getQuestionId() {
		return questionId;
	}

	public void setQuestionId(String questionId) {
		this.questionId = questionId;
	}

	public OuterSectionCollectionBean getAnswer() {
		return answer;
	}

	public void setAnswer(OuterSectionCollectionBean answer) {
		this.answer = answer;
	}

	public OuterSectionCollectionBean getBody() {
		return body;
	}

	public void setBody(OuterSectionCollectionBean body) {
		this.body = body;
	}

	public OuterSectionCollectionBean getParentBody() {
		return parentBody;
	}

	public void setParentBody(OuterSectionCollectionBean parentBody) {
		this.parentBody = parentBody;
	}
}
